:root{

	--color-deco:black; 
    

}
/*======================================*/
.emr_def_text p {color: #262626}  /*default p text*/
.mt40{margin-top: 40px;}
.vc_custom_pd_em {
    padding-right: 30px !important;
    padding-bottom: 40px !important;
    padding-left: 30px !important;}
.vc_custom_pd_em1 {
    padding-right: 30px !important;
    padding-top: 30px !important;
    padding-bottom: 40px !important;
    padding-left: 30px !important;}
.addtxt_em{color: white;}
.pcart_message{color: white;}
.ptxtinline{display: inline;}
.colorblack{color: black;}
.hide-em{display: none;}
.title_gradient_em{  
    background: -webkit-linear-gradient(left,#111 0%, #ccc 100%);
    background: -o-linear-gradient(left,#111 0%, #ccc 100%);
    background: -moz-linear-gradient(left,#111 0%, #ccc 100%);
    background: -ms-linear-gradient(left,#111 0%, #ccc 100%);
    background: linear-gradient( to right,#111 0%, #ccc 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#111', endColorstr='#ccc', GradientType=1 );
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;}
.prod_qdisp{text-align: center; padding: 20px;}
.pqloader {
  border: 10px solid #f3f3f3;
  border-radius: 50%;
  border-top: 10px solid grey;
  border-bottom: 10px solid grey;
  width: 65px;
  height: 65px;
  -webkit-animation: spin-em 2s linear infinite;
  animation: spin-em 2s linear infinite;
}

@-webkit-keyframes spin-em {
  0% { -webkit-transform: rotate(0deg); }
  100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin-em {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

/*----------------------------------------------*/
.prod_qdisp input { 
    /* removes default styling from input color element */
    padding: 0;
    border: none; 
    /* makes input (color swatch) 100% size of container */
    position: absolute;
    width: 100%; 
    height: 100%;
    /* mix blend mode makes the color of the swatch alter the image behind it. */
    mix-blend-mode: hue; /* try screen, multiply or other blend modes for different effects */
    cursor: pointer;
}
.qp1 input { 
    /* removes default styling from input color element */
    padding: 0;
    border: none; 
    /* makes input (color swatch) 100% size of container */
    position: absolute;
    width: 100%; 
    height: 100%;
    /* mix blend mode makes the color of the swatch alter the image behind it. */
    mix-blend-mode: hue; /* try screen, multiply or other blend modes for different effects */
    cursor: pointer;
}
.qp2 input { 
    /* removes default styling from input color element */
    padding: 0;
    border: none; 
    /* makes input (color swatch) 100% size of container */
    position: absolute;
    width: 100%; 
    height: 100%;
    /* mix blend mode makes the color of the swatch alter the image behind it. */
    mix-blend-mode: hue; /* try screen, multiply or other blend modes for different effects */
    cursor: pointer;
}
.qp3 input { 
    /* removes default styling from input color element */
    padding: 0;
    border: none; 
    /* makes input (color swatch) 100% size of container */
    position: absolute;
    width: 100%; 
    height: 100%;
    /* mix blend mode makes the color of the swatch alter the image behind it. */
    mix-blend-mode: hue; /* try screen, multiply or other blend modes for different effects */
    cursor: pointer;
}
/* removes default styling from input color element */
::-webkit-color-swatch {
    border: none;
}

::-webkit-color-swatch-wrapper {
    padding: 0;
}

::-moz-color-swatch,
::-moz-focus-inner {
    border: none;
}

::-moz-focus-inner {
    padding: 0;
}
/**--------------------------------------*/
.column {
  float: left;
  width: 30.33%;
  padding: 5px;
}
.qp1{ width: 100%; height: auto; position: relative;}
.qp2{ width: 100%; height: auto; position: relative;}
.qp3{ width: 100%; height: auto; position: relative;}
.qp1 imgg{width: 100%;height: 100%; object-fit: cover; backgroud-blend-mode-: hue;}
/* Clearfix (clear floats) */
.row::after {
  content: "";
  clear: both;
  display: table;
}

/* Responsive layout - makes the three columns stack on top of each other instead of next to each other */
@media screen and (max-width: 500px) {
  .column {
    width: 100%;
  }
}
/*======================================*/
.snip1448 {
	font-family: 'Roboto', Arial, sans-serif;
	position: relative;
	overflow: hidden;
	margin: 10px;
	min-width: 230px;
	max-width: 340px;
	width: 100%;
	color: #262626;
	font-size: 16px;
	background-color: #111; /*e6e6e6*/
	transform: translateZ(0);

	display: inline-block;
  }
  .snip1448 * {
	-webkit-box-sizing: border-box;
	box-sizing: border-box;
	-webkit-transition: all 0.35s ease;
	transition: all 0.35s ease;
  }
  .snip1448 img {
	max-width: 100%;
	vertical-align: top;
	box-shadow: 0 0 40px rgba(0, 0, 0, 0.15);
  }
  .snip1448 figcaption {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	z-index: -1;
  }
  .snip1448 h3 {
	position: absolute;
	left: 0;
	bottom: 0;
	font-weight: 300;
	font-size: 1.4em;
	padding: 0 0 0 40px;
	margin: 0;
	line-height: 40px;
	color: #fff;
  }
  .snip1448 a {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	z-index: 1;
  }
  .snip1448:hover img,
  .snip1448.hover img {
	-webkit-transform: translate(40px, -40px);
	transform: translate(40px, -40px);
  }



/*-------------  Customization side --------------*/
.custom_side {
  height: 100%;
  width: 0;
  position: fixed;
  z-index: 999999;
    
  top: 0;
  right: 0;
    margin-right: 710px;
  background-color: #1a1a1a;
  overflow-x: hidden;
  overflow-y: hidden;
  transition: 1s width ease-in-out;
  padding-top-: 60px;
    text-align-:center;
  
  transition-delay-: 0.2s;
  transition-timing-function:cubic-bezier(.22,.68,0,1.0);
}
.custom_side_inner {
  height: auto;
  width: 100%;
  position: relative;
    display-:flex;
  z-index-: 1;
    opacity: 0;
  top-: 8px;
  left: 0px;
    color: whitesmoke;
    text-align: left; float-: left;
  background-color-: #e0e0e0;
  transition: 0.7s  ease-in-out;
  padding-top-: 60px;
    text-align-:center;
  
  transition-delay: 0.5s;
  transition-timing-function:cubic-bezier(.22,.68,0,1.0);
}
.custom_side_inner h3, p {color: whitesmoke;}
.custom_side_inner .closebtn {
  position: absolute;
  top: 0;
  left-: 2px;
  font-size: 30px;
  margin-left: 10px;
  color: var(--dark-gray);
  transition: 0.3s;
    /*transition: 1s width;
  transition-timing-function: cubic-bezier(.32,2,.1,.27);*/
}
.custom_side_inner .closebtn:hover {color: darkgray}
.custom_side_inner_anim {
    opacity: 1;
    right: 0px;
}
.custom_side_width{width: 40%;}
@media only screen and (max-width:768px){
    .custom_side_width{width: 60%;}
}

/*-----------------------------------------------*/
/* prod detail page*/

/*------------ product add loading---------------*/
.loding_script {
    position: fixed;
    width: 100%;
    height: 100%;
    display: none;
    top: 0;
    background-color: rgba(0,0,0,0.5);
    text-align: center;
    align-items: center;
    justify-content: center;
}
.loding_script img {
    max-width: 100px;
    max-height: 100px;
}
.loding_script.active{
    display: flex;
}